Package com.googlecode.htmlcompressor.velocity

# Class XmlCompressorDirective

java.lang.Object
org.apache.velocity.runtime.directive.Directive
com.googlecode.htmlcompressor.velocity.XmlCompressorDirective

All Implemented Interfaces:
  `Cloneable`, `org.apache.velocity.runtime.directive.DirectiveConstants`

public class XmlCompressorDirective extends org.apache.velocity.runtime.directive.Directive
Velocity directive that compresses an XML content within #compressXml ... #end block. Compression parameters are set by default.

Author:
  Sergiy Kovalchuk
See Also:
  - `XmlCompressor`

- ## Field Summary

  ### Fields inherited from class org.apache.velocity.runtime.directive.Directive

  `log, rsvc`

  ### Fields inherited from interface org.apache.velocity.runtime.directive.DirectiveConstants

  `BLOCK, LINE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XmlCompressorDirective()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `int`
  `getType()`
  `void`
  `init(org.apache.velocity.runtime.RuntimeServices rs, org.apache.velocity.context.InternalContextAdapter context, org.apache.velocity.runtime.parser.node.Node node)`
  `boolean`
  `render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node)`

  ### Methods inherited from class org.apache.velocity.runtime.directive.Directive

  `checkArgs, getColumn, getLine, getScopeName, getTemplate, getTemplateName, isScopeProvided, makeScope, postRender, preRender, setLocation, setLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XmlCompressorDirective

    public XmlCompressorDirective()

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `org.apache.velocity.runtime.directive.Directive`

  - ### getType

    public int getType()
    Specified by:
      `getType` in class `org.apache.velocity.runtime.directive.Directive`

  - ### init

    public void init(org.apache.velocity.runtime.RuntimeServices rs, org.apache.velocity.context.InternalContextAdapter context, org.apache.velocity.runtime.parser.node.Node node) throws org.apache.velocity.exception.TemplateInitException
    Overrides:
      `init` in class `org.apache.velocity.runtime.directive.Directive`
    Throws:
      `org.apache.velocity.exception.TemplateInitException`

  - ### render

    public boolean render(org.apache.velocity.context.InternalContextAdapter context, Writer writer, org.apache.velocity.runtime.parser.node.Node node) throws IOException, org.apache.velocity.exception.MethodInvocationException
    Specified by:
      `render` in class `org.apache.velocity.runtime.directive.Directive`
    Throws:
      `IOException`
      `org.apache.velocity.exception.MethodInvocationException`